package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 贷款申请_主对象 dksq
 * 
 * @author boman
 * @date 2023-06-15
 */
public class Dksq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 申请金额(万元) */
    @Excel(name = "申请金额(万元)")
    private String sqMoney;

    /** 担保类型 1:担保人担保 2:房产担保 */
    @Excel(name = "担保类型 1:担保人担保 2:房产担保")
    private String dbType;

    /** 担保档次 1:10万元以下 2:10-20 3:20-50 */
    @Excel(name = "担保档次 1:10万元以下 2:10-20 3:20-50")
    private String dbGrade;

    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String sqName;

    /** 申请人身份证号码 */
    @Excel(name = "申请人身份证号码")
    private String sqIdCard;

    /** 申请人手机号 */
    @Excel(name = "申请人手机号")
    private String sqPhone;

    /** 申请人文化程度 */
    @Excel(name = "申请人文化程度")
    private String whcd;

    /** 人员类别 */
    @Excel(name = "人员类别")
    private String rylb;

    /** 申请人信用等级 */
    @Excel(name = "申请人信用等级")
    private String xydj;

    /** 婚姻状况 */
    @Excel(name = "婚姻状况")
    private String hyzk;

    /** 配偶姓名 */
    @Excel(name = "配偶姓名")
    private String poName;

    /** 配偶身份证号码 */
    @Excel(name = "配偶身份证号码")
    private String poIdCard;

    /** 配偶工作单位 */
    @Excel(name = "配偶工作单位")
    private String poGzdw;

    /** 担保人姓名 */
    @Excel(name = "担保人姓名")
    private String dbrName;

    /** 担保人身份证号码 */
    @Excel(name = "担保人身份证号码")
    private String dbrIdCard;

    /** 担保人2姓名 */
    @Excel(name = "担保人2姓名")
    private String dbrTwoName;

    /** 担保人2身份证号码 */
    @Excel(name = "担保人2身份证号码")
    private String dbrTwoIdCard;

    /** 申请状态 */
    @Excel(name = "申请状态")
    private String type;
    private String result;

    /** 放贷银行名称 */
    @Excel(name = "放贷银行名称")
    private String fdBank;

    /** 放贷银行id */
    @Excel(name = "放贷银行id")
    private Long fdBankId;

    /** 实际放贷金额(万元) */
    @Excel(name = "实际放贷金额(万元)")
    private String fdMoney;

    /** 实际放贷时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际放贷时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fdTime;
    /**
     * 贷款流程记录表
     */
    private DksqLcjl dksqLcjl;

    public DksqLcjl getDksqLcjl() {
        return dksqLcjl;
    }

    public void setDksqLcjl(DksqLcjl dksqLcjl) {
        this.dksqLcjl = dksqLcjl;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSqMoney(String sqMoney) 
    {
        this.sqMoney = sqMoney;
    }

    public String getSqMoney() 
    {
        return sqMoney;
    }
    public void setDbType(String dbType) 
    {
        this.dbType = dbType;
    }

    public String getDbType() 
    {
        return dbType;
    }
    public void setDbGrade(String dbGrade) 
    {
        this.dbGrade = dbGrade;
    }

    public String getDbGrade() 
    {
        return dbGrade;
    }
    public void setSqName(String sqName) 
    {
        this.sqName = sqName;
    }

    public String getSqName() 
    {
        return sqName;
    }
    public void setSqIdCard(String sqIdCard) 
    {
        this.sqIdCard = sqIdCard;
    }

    public String getSqIdCard() 
    {
        return sqIdCard;
    }
    public void setSqPhone(String sqPhone) 
    {
        this.sqPhone = sqPhone;
    }

    public String getSqPhone() 
    {
        return sqPhone;
    }
    public void setWhcd(String whcd) 
    {
        this.whcd = whcd;
    }

    public String getWhcd() 
    {
        return whcd;
    }
    public void setRylb(String rylb) 
    {
        this.rylb = rylb;
    }

    public String getRylb() 
    {
        return rylb;
    }
    public void setXydj(String xydj) 
    {
        this.xydj = xydj;
    }

    public String getXydj() 
    {
        return xydj;
    }
    public void setHyzk(String hyzk) 
    {
        this.hyzk = hyzk;
    }

    public String getHyzk() 
    {
        return hyzk;
    }
    public void setPoName(String poName) 
    {
        this.poName = poName;
    }

    public String getPoName() 
    {
        return poName;
    }
    public void setPoIdCard(String poIdCard) 
    {
        this.poIdCard = poIdCard;
    }

    public String getPoIdCard() 
    {
        return poIdCard;
    }
    public void setPoGzdw(String poGzdw) 
    {
        this.poGzdw = poGzdw;
    }

    public String getPoGzdw() 
    {
        return poGzdw;
    }
    public void setDbrName(String dbrName) 
    {
        this.dbrName = dbrName;
    }

    public String getDbrName() 
    {
        return dbrName;
    }
    public void setDbrIdCard(String dbrIdCard) 
    {
        this.dbrIdCard = dbrIdCard;
    }

    public String getDbrIdCard() 
    {
        return dbrIdCard;
    }
    public void setDbrTwoName(String dbrTwoName) 
    {
        this.dbrTwoName = dbrTwoName;
    }

    public String getDbrTwoName() 
    {
        return dbrTwoName;
    }
    public void setDbrTwoIdCard(String dbrTwoIdCard) 
    {
        this.dbrTwoIdCard = dbrTwoIdCard;
    }

    public String getDbrTwoIdCard() 
    {
        return dbrTwoIdCard;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setFdBank(String fdBank) 
    {
        this.fdBank = fdBank;
    }

    public String getFdBank() 
    {
        return fdBank;
    }
    public void setFdBankId(Long fdBankId) 
    {
        this.fdBankId = fdBankId;
    }

    public Long getFdBankId() 
    {
        return fdBankId;
    }
    public void setFdMoney(String fdMoney) 
    {
        this.fdMoney = fdMoney;
    }

    public String getFdMoney() 
    {
        return fdMoney;
    }
    public void setFdTime(Date fdTime) 
    {
        this.fdTime = fdTime;
    }

    public Date getFdTime() 
    {
        return fdTime;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sqMoney", getSqMoney())
            .append("dbType", getDbType())
            .append("dbGrade", getDbGrade())
            .append("sqName", getSqName())
            .append("sqIdCard", getSqIdCard())
            .append("sqPhone", getSqPhone())
            .append("whcd", getWhcd())
            .append("rylb", getRylb())
            .append("xydj", getXydj())
            .append("hyzk", getHyzk())
            .append("poName", getPoName())
            .append("poIdCard", getPoIdCard())
            .append("poGzdw", getPoGzdw())
            .append("dbrName", getDbrName())
            .append("dbrIdCard", getDbrIdCard())
            .append("dbrTwoName", getDbrTwoName())
            .append("dbrTwoIdCard", getDbrTwoIdCard())
            .append("type", getType())
            .append("result", getResult())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("fdBank", getFdBank())
            .append("fdBankId", getFdBankId())
            .append("fdMoney", getFdMoney())
            .append("fdTime", getFdTime())
            .toString();
    }
}
